// (C) 2026 GoodData Corporation
import { eventGuard } from "./util.js";
/**
 * @alpha
 */
export function parametersSelectionReset(correlationId) {
    return {
        type: "GDC.DASH/EVT.PARAMETERS.SELECTION.RESET",
        correlationId,
    };
}
/**
 * Tests whether the provided object is an instance of {@link IDashboardParametersSelectionReset}.
 *
 * @param obj - object to test
 *
 * @alpha
 */
export const isDashboardParametersSelectionReset = eventGuard("GDC.DASH/EVT.PARAMETERS.SELECTION.RESET");
